LateInteractionFloatValuesSource.ScoreFunction (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.search, class: LateInteractionFloatValuesSource, enum: ScoreFunction

Package org.apache.lucene.search

# Enum Class LateInteractionFloatValuesSource.ScoreFunction

java.lang.Object
java.lang.Enum<LateInteractionFloatValuesSource.ScoreFunction>
org.apache.lucene.search.LateInteractionFloatValuesSource.ScoreFunction

All Implemented Interfaces:
  `Serializable`, `Comparable<LateInteractionFloatValuesSource.ScoreFunction>`, `Constable`, `MultiVectorSimilarity`

Enclosing class:
  `LateInteractionFloatValuesSource`

public static enum LateInteractionFloatValuesSource.ScoreFunction extends Enum<LateInteractionFloatValuesSource.ScoreFunction> implements MultiVectorSimilarity
Defines the function to compute similarity score between query and document multi-vectors

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SUM_MAX_SIM`
  Computes the sum of max similarity between query and document vectors

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LateInteractionFloatValuesSource.ScoreFunction`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LateInteractionFloatValuesSource.ScoreFunction[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.lucene.search.MultiVectorSimilarity

  `compare`

- ## Enum Constant Details

  - ### SUM_MAX_SIM

    public static final LateInteractionFloatValuesSource.ScoreFunction SUM_MAX_SIM
    Computes the sum of max similarity between query and document vectors

- ## Method Details

  - ### values

    public static LateInteractionFloatValuesSource.ScoreFunction[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LateInteractionFloatValuesSource.ScoreFunction valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null